package cc.smtweb.system.bpm.web.design.form.define;

import com.fasterxml.jackson.annotation.JsonIgnore;
import org.apache.commons.lang3.StringUtils;

import java.util.List;

/**
 * Created by Akmm at 2022/4/20 18:15
 */ //动态条件，一颗二叉树
public class PageDatasetDynCond {
    public String param;
    public String opt;
    public List<PageDatasetDynCond> children;

    @JsonIgnore
    public boolean isEmpty() {
        return StringUtils.isEmpty(param) && StringUtils.isEmpty(opt);
    }

    @JsonIgnore
    public boolean isCondOpt() {
        return StringUtils.isEmpty(param);
    }
}
